

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>Showcase of 2D plotting functionalities &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Showcase of 1D plotting functionalities" href="../plot1D/plot1D.html" />
    <link rel="prev" title="The PSyGrid Object" href="../PSyGrid.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Showcase of 2D plotting functionalities</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#how-to-plot-termination-flags">How to plot termination flags</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#termination-flag-1">Termination flag 1</a></li>
<li class="toctree-l3"><a class="reference internal" href="#termination-flag-2">Termination flag 2</a></li>
<li class="toctree-l3"><a class="reference internal" href="#termination-flags-3-4">Termination flags 3 &amp; 4</a></li>
<li class="toctree-l3"><a class="reference internal" href="#all-termination-flags">All termination flags</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#how-to-plot-up-to-onset-of-rlo">How to plot up to onset of RLO</a></li>
<li class="toctree-l2"><a class="reference internal" href="#combine-grids-in-one-plot">Combine grids in one plot</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>Showcase of 2D plotting functionalities</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../../_sources/PSyGrid/plot2D/plot2D.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="showcase-of-2d-plotting-functionalities">
<span id="plot2d"></span><h1>Showcase of 2D plotting functionalities<a class="headerlink" href="#showcase-of-2d-plotting-functionalities" title="Permalink to this headline">¶</a></h1>
<p>To showcase the plotting functionalities we load a grid in a PSyGrid object.
This grid is sampling the 3D initial parameter space of star_1_mass, star_2_mass,
period_days. To plot 2D panels we need to slice it. This will be done along
the star_2_mass dimension.</p>
<div class="section" id="how-to-plot-termination-flags">
<h2>How to plot termination flags<a class="headerlink" href="#how-to-plot-termination-flags" title="Permalink to this headline">¶</a></h2>
<p>There are four categories of termination flags. The first one refer to why
MESA stopped the run. Successful runs will display the final quantity with a
colour map.</p>
<div class="section" id="termination-flag-1">
<h3>Termination flag 1<a class="headerlink" href="#termination-flag-1" title="Permalink to this headline">¶</a></h3>
<p>It can display with a colour values from <cite>fianal_values</cite>, <cite>history1</cite>,
<cite>binary_history</cite>.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_TF1_fv.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mf">6.5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$\log_</span><span class="si">{10}</span><span class="s1">(m_{He-star,f}/[M_\odot])$&#39;</span><span class="p">,</span>
                 <span class="s1">&#39;pad&#39;</span> <span class="p">:</span> <span class="o">-</span><span class="mf">0.1</span><span class="p">},</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.2</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_1&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_TF1_fv.png" src="../../_images/plot2d_TF1_fv.png" />
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_TF1_h1.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mf">6.5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">False</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$\log_</span><span class="si">{10}</span><span class="s1">(m_{c-core,f}/[M_\odot])$&#39;</span><span class="p">,</span>
                 <span class="s1">&#39;pad&#39;</span> <span class="p">:</span> <span class="o">-</span><span class="mf">0.1</span><span class="p">},</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.2</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="s1">&#39;c_core_mass&#39;</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_1&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_TF1_h1.png" src="../../_images/plot2d_TF1_h1.png" />
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_TF1_bh.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mf">6.5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$\log_</span><span class="si">{10}</span><span class="s1">(A/[R_\odot])$&#39;</span><span class="p">,</span>
                 <span class="s1">&#39;pad&#39;</span> <span class="p">:</span> <span class="o">-</span><span class="mf">0.1</span><span class="p">},</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.2</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="s1">&#39;binary_separation&#39;</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_1&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_TF1_bh.png" src="../../_images/plot2d_TF1_bh.png" />
</div>
<div class="section" id="termination-flag-2">
<h3>Termination flag 2<a class="headerlink" href="#termination-flag-2" title="Permalink to this headline">¶</a></h3>
<p>This termination flag show the mass transfer case.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_TF2.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mi">6</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.0</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="kc">None</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_2&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_TF2.png" src="../../_images/plot2d_TF2.png" />
</div>
<div class="section" id="termination-flags-3-4">
<h3>Termination flags 3 &amp; 4<a class="headerlink" href="#termination-flags-3-4" title="Permalink to this headline">¶</a></h3>
<p>This termination flags show the stellar type.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_TF3.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mi">6</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.0</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="kc">None</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_3&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_TF3.png" src="../../_images/plot2d_TF3.png" />
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_TF4.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mi">6</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.0</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="kc">None</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_4&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_TF4.png" src="../../_images/plot2d_TF4.png" />
</div>
<div class="section" id="all-termination-flags">
<h3>All termination flags<a class="headerlink" href="#all-termination-flags" title="Permalink to this headline">¶</a></h3>
<p>Show all termiantion flags at the same time.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_TFall.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">20</span><span class="p">,</span><span class="mi">10</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;marker_size&#39;</span> <span class="p">:</span> <span class="mi">10</span><span class="p">,</span>
    <span class="s1">&#39;wspace&#39;</span> <span class="p">:</span> <span class="mf">0.8</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$\log_</span><span class="si">{10}</span><span class="s1">(A/[R_\odot])$&#39;</span><span class="p">,</span>
                 <span class="s1">&#39;pad&#39;</span> <span class="p">:</span> <span class="mf">0.03</span><span class="p">,</span>
                 <span class="s1">&#39;aspect&#39;</span> <span class="p">:</span> <span class="mi">30</span><span class="p">},</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.2</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">),</span>
                  <span class="s1">&#39;shrink_box&#39;</span> <span class="p">:</span> <span class="mf">0.7</span><span class="p">}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="s1">&#39;binary_separation&#39;</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;all&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_TFall.png" src="../../_images/plot2d_TFall.png" />
</div>
</div>
<div class="section" id="how-to-plot-up-to-onset-of-rlo">
<h2>How to plot up to onset of RLO<a class="headerlink" href="#how-to-plot-up-to-onset-of-rlo" title="Permalink to this headline">¶</a></h2>
<p>This functionality allows to slice the runs at onset of Roche Lobe overflow and
display with a colour a quantity in <cite>history1</cite> or <cite>binary_history</cite> at onset RLO.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_RLO_h1.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mi">10</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">False</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$m_{c-core,RLO}/[M_\odot]$&#39;</span><span class="p">,</span>
                 <span class="s1">&#39;pad&#39;</span> <span class="p">:</span> <span class="o">-</span><span class="mf">0.1</span><span class="p">},</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.2</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="s1">&#39;c_core_mass&#39;</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_1&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">slice_at_RLO</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_RLO_h1.png" src="../../_images/plot2d_RLO_h1.png" />
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_RLO_bh.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mi">10</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">False</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$\log_</span><span class="si">{10}</span><span class="s1">(m_{He-star,RLO}/[M_\odot])$&#39;</span><span class="p">,</span>
                 <span class="s1">&#39;pad&#39;</span> <span class="p">:</span> <span class="o">-</span><span class="mf">0.1</span><span class="p">},</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.2</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_1&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">slice_at_RLO</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_RLO_bh.png" src="../../_images/plot2d_RLO_bh.png" />
</div>
<div class="section" id="combine-grids-in-one-plot">
<h2>Combine grids in one plot<a class="headerlink" href="#combine-grids-in-one-plot" title="Permalink to this headline">¶</a></h2>
<p>If you rerun a fraction of the grid or some extentions, you can combine them by
passing them as an extra grid or list of grids.</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PLOT_PROPERTIES</span> <span class="o">=</span> <span class="p">{</span>
    <span class="s1">&#39;fname&#39;</span><span class="p">:</span> <span class="s1">&#39;plot2d_extra_grid.png&#39;</span><span class="p">,</span>
    <span class="s1">&#39;figsize&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mf">6.5</span><span class="p">),</span>
    <span class="s1">&#39;title&#39;</span> <span class="p">:</span> <span class="s1">&#39;$m_</span><span class="si">{BH}</span><span class="s1"> = 2.8 \, M_\odot$&#39;</span><span class="p">,</span>
    <span class="s1">&#39;log10_x&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_y&#39;</span> <span class="p">:</span> <span class="kc">True</span><span class="p">,</span>
    <span class="s1">&#39;log10_z&#39;</span> <span class="p">:</span> <span class="kc">False</span><span class="p">,</span>
    <span class="s1">&#39;colorbar&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;label&#39;</span><span class="p">:</span> <span class="s1">&#39;$\log_</span><span class="si">{10}</span><span class="s1">(m_{He-star,RLO}/[M_\odot])$&#39;</span><span class="p">,</span>
                 <span class="s1">&#39;pad&#39;</span> <span class="p">:</span> <span class="o">-</span><span class="mf">0.3</span><span class="p">},</span>
    <span class="s1">&#39;legend2D&#39;</span> <span class="p">:</span> <span class="p">{</span><span class="s1">&#39;bbox_to_anchor&#39;</span> <span class="p">:</span> <span class="p">(</span><span class="mf">1.2</span><span class="p">,</span> <span class="mf">0.5</span><span class="p">)}</span>
<span class="p">}</span>

<span class="n">grid</span><span class="o">.</span><span class="n">plot2D</span><span class="p">(</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span> <span class="s1">&#39;period_days&#39;</span><span class="p">,</span> <span class="s1">&#39;star_1_mass&#39;</span><span class="p">,</span>
             <span class="n">termination_flag</span><span class="o">=</span><span class="s1">&#39;termination_flag_1&#39;</span><span class="p">,</span>
             <span class="n">grid_3D</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="n">slice_3D_var_str</span><span class="o">=</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">,</span> <span class="n">slice_3D_var_range</span><span class="o">=</span><span class="p">(</span><span class="mf">2.5</span><span class="p">,</span><span class="mf">3.</span><span class="p">),</span>
             <span class="n">extra_grid</span><span class="o">=</span><span class="n">grid</span><span class="p">,</span>
             <span class="n">verbose</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span> <span class="o">**</span><span class="n">PLOT_PROPERTIES</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../../_images/plot2d_extra_grid.png" src="../../_images/plot2d_extra_grid.png" />
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="../plot1D/plot1D.html" class="btn btn-neutral float-right" title="Showcase of 1D plotting functionalities" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="../PSyGrid.html" class="btn btn-neutral float-left" title="The PSyGrid Object" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>